Ask Your Question
0

I am getting an error "no plugin_version" symbol when I add a dll as plugin and start wireshark. How or where can i find the Plugin versions for custom dll in wireshark? How to solve the error ?

asked 2019-05-03 17:51:12 +0000

stbimudd gravatar image

I have created a dissector and added it as dll to the plugins of the Wireshark, but am getting the above error when I start the Wireshark. I also checked G_MODULE_EXPORT const gchar version[] = VERSION, and the corresponding header but could not find the version in Wireshark to add to the program. How can I solve this ? Thank you in advance.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-05-03 18:08:26 +0000

grahamb gravatar image

Your plugin CMakeLists.txt is probably missing one or either of the following lines, these are from the Gryphon dissector plugin:

include(WiresharkPlugin)

# Plugin name and version info (major minor micro extra)
set_module_info(gryphon 0 0 4 0)

The CMakeLists.txt requirements are specified in the Developers Guide section on setting up a dissector.

edit flag offensive delete link more

Comments

But where can I find the plugin version information?? Thank you.

stbimudd gravatar imagestbimudd ( 2019-05-04 11:51:54 +0000 )edit

It's set in the CMakeList.txt line that calls set_module_info(...)

grahamb gravatar imagegrahamb ( 2019-05-04 11:56:04 +0000 )edit

Note that this is the version of the plugin; since you are the author of this particular plugin, you define what the version of this particular plugin is - it's not something that Wireshark defines.

Guy Harris gravatar imageGuy Harris ( 2019-05-05 17:32:43 +0000 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-05-03 17:51:12 +0000

Seen: 53 times

Last updated: May 03